<?php
define( '_IN_JOHNCMS', 1 );
//Ниже происходит переход на следующий уровень, любое изменение в коде произведет к нестабильной работе игры
//Выбираем самый большой уровень из списка уровней
$bigl = 75;
/*Эсли в базе нету больше уровней, то переходы не выполняються, а счетчик опыта показывает ввесь, набраный за всю игру, опыт*/
if ( $ku[ 'level' ] < $bigl )
		{
				if ( $ku[ 'level' ] > 1 )
						{
								$rl = 0;
								$ql = mysql_query( "SELECT * FROM `$db_base`.`kolhoz_level`" );
								while ( $pl = mysql_fetch_array( $ql ) )
										{
												if ( $pl[ 'level' ] <= $ku[ 'level' ] )
																$rl = $rl + $pl[ 'rating' ];
										}
								$kr = $ku[ 'rating' ] - $rl;
						}
				else
								$kr = $ku[ 'rating' ];
				$level = mysql_fetch_array( mysql_query( "SELECT * FROM `$db_base`.`kolhoz_level` WHERE `level` = '" . ( $ku[ 'level' ] + 1 ) . "' LIMIT 1" ) );
				if ( $kr >= $level[ 'rating' ] )
						{
								echo "<div class='feedback'>
Поздравляем, Вы получили <span
class='title'><span>$level[level]</span> уровень.</span><br>
Вам начислено: <span class='title'><img width='16' height='16' src='images/icons/ruby.png' alt='o'>
<span>$level[rubies]</span> и <img width='16' height='16' src='images/icons/money.png' alt='o'> <span>" . ( $level[ 'level' ] * 100 ) . "</span>.<br/>";
								//Семена
								$semen = mysql_query( "SELECT `name` FROM `$db_base`.`kolhoz_plant` WHERE `level` = '$level[level]' " );
								if ( mysql_num_rows( $semen ) >= 1 )
										{
												echo 'Доступны новые семена: ';
												While ( $sem = mysql_fetch_array( $semen ) )
														{
																echo "$sem[name], ";
														}
										}
								//Рыбы
								$fish = mysql_query( "SELECT `name` FROM `$db_base`.`kolhoz_fish` WHERE `level` = '$level[level]' " );
								if ( mysql_num_rows( $fish ) >= 1 )
										{
												echo '<br/>Доступны новые рыбы: ';
												While ( $fish2 = mysql_fetch_array( $fish ) )
														{
																echo "$fish2[name], ";
														}
										}
								//Погреб
								$kul = mysql_query( "SELECT `name` FROM `$db_base`.`kolhoz_plant2` WHERE `level` = '$level[level]' " );
								if ( mysql_num_rows( $kul ) >= 1 )
										{
												echo '<br>Доступны новые рецепты: ';
												While ( $kul2 = mysql_fetch_array( $kul ) )
														{
																echo "$kul2[name], ";
														}
										}
								//Деревья
								$trees = mysql_query( "SELECT `name` FROM `$db_base`.`kolhoz_tree` WHERE `level` = '$level[level]' " );
								if ( mysql_num_rows( $trees ) >= 1 )
										{
												echo '<br>Доступны новые деревья: ';
												While ( $tre = mysql_fetch_array( $trees ) )
														{
																echo "$tre[name], ";
														}
										}
								//Житвотные
								$pet = mysql_query( "SELECT `name` FROM `$db_base`.`kolhoz_pet` WHERE `level` = '$level[level]' " );
								if ( mysql_num_rows( $pet ) >= 1 )
										{
												echo '<br>Доступны новые животные: ';
												While ( $pett = mysql_fetch_array( $pet ) )
														{
																echo "$pett[name], ";
														}
										}
								echo "<br/>Хорошего урожая!</span></div>";
								mysql_query( "UPDATE `$db_base`.`kolhoz_user` SET `level` = '$level[level]', `rubies` = '" . ( $ku[ 'rubies' ] + $level[ 'rubies' ] ) . "', `money` = '" . ( $ku[ 'money' ] + ( $level[ 'level' ] * 100 ) ) . "' WHERE `id` = '$ku[id]'" );
								$ku[ 'level' ]  = $level[ 'level' ];
								$ku[ 'money' ]  = $ku[ 'money' ] + ( $level[ 'level' ] * 100 );
								$ku[ 'rubies' ] = $ku[ 'rubies' ] + $level[ 'level' ];
								$rl             = 0;
								$ql             = mysql_query( "SELECT * FROM `$db_base`.`kolhoz_level`" );
								while ( $pl = mysql_fetch_array( $ql ) )
										{
												if ( $pl[ 'level' ] <= $ku[ 'level' ] )
																$rl = $rl + $pl[ 'rating' ];
										}
								$kr    = $ku[ 'rating' ] - $rl;
								$level = mysql_fetch_array( mysql_query( "SELECT * FROM `$db_base`.`kolhoz_level` WHERE `level` = '" . ( $ku[ 'level' ] + 1 ) . "' LIMIT 1" ) );
						}
		}
//Устанавливаем 1 первый уровень, если тот уровень что у пользователя не найден в базе
//Потом уровень будет подбит под сюществующий опыт
mysql_query( "UPDATE `$db_base`.`kolhoz_user` SET `level` = '1' WHERE `level` = '0'" );
?>